<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href='./assets/styles/index.css' />
    <link rel="stylesheet" type="text/css" href="src/css/base.css">
    <link rel="stylesheet" type="text/css" href="src/css/smalltalk.min.css">

    <title>Login</title>
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet">

</head>
<body>
    <div class="login-card card">
        <div class="peers ai-c fxw-nw login-logo">
            <div class="peer">
                <div class="logo">
                    <img src="https://www.freeiconspng.com/uploads/customers-icon-20.png" style="width:50px;height:50px;margin-top:5px;"alt="">
                </div>
            </div>
            <div class="peer peer-greed">
                <h5 class="lh-1 mB-0 logo-text">Customer Engagement System</h5>
            </div>
        </div>
        <div class="input-form">
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="email" class="form-control" id="username" aria-describedby="emailHelp" placeholder="Enter email">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" class="form-control" id="password" placeholder="Password">
            </div>
            <div class="form-group form-check">
                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                <label class="form-check-label" for="exampleCheck1">Check me out</label>
            </div>
            <button class="btn btn-primary" onclick="login()">Submit</button>
        </div>
    </div>
</body>
    <style>
        .login-card{
            width: 45%;
            margin: auto;
            margin-top: 10%;
            padding: 2% 5%;
        }
        .login-logo{
            margin-bottom: 5%;
        }
        .login-logo .logo{
            margin-right: 15px;
        }
    </style>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="src/js/jquery.min.js"></script>
    <script src="assets/scripts/index.js"></script>
    <script type="text/javascript">
        function login(){
            console.log("1234")
            let username = $("#username")[0].value;
            let password = $("#password")[0].value;
            $.post("/login", username+password, (data)=>{
                if(data !== 'error'){
                    window.location.href = 'index.html'
                }
            });
            //console.log(username, password)
        }
    </script>
  </html>